/* ファイルテストプログラム */

#include "../api/api.h"
#include <stdio.h>	/* sprintf */

void HariMain(void)
{
	char s[2];
	int f, i;

	f = api_fopen("test.txt", 'w');
	if(f == 0) {
		api_puts("ファイルオープンに失敗しました。");
		api_exit();
	}
	for(i = 0; i < 1000; i++) {
		s[0] = i%10+'0';
		api_fwrite(f, s, 1);
		if(i % 30 == 0) {
			sprintf(s, "\n");
			api_fwrite(f, s, 1);
		}
	}
	api_fseek(f, 0, 10);
	for(i = 0; i < 10; i++) {
		s[0] = i%10+'A';
		api_fwrite(f, s, 1);
		if(i % 30 == 0) {
			sprintf(s, "\n");
			api_fwrite(f, s, 1);
		}
	}
	api_exit();
}
